import SetModel from "../../Models/SetModel.js";
import { AssemblerView } from "../../Views/Assembler/AssemblerView.js";
import { BaseView, IBaseViewOptions } from "../../Views/BaseView.js";
export interface IContentOptions extends IBaseViewOptions {
    source: SetModel;
}
export declare class TabbedContent extends BaseView {
    constructor(options: IContentOptions);
    protected get source(): SetModel;
    protected get assemblers(): Jade.Collection<AssemblerView>;
    template(): string | Array<string> | JQuery;
    selectGroup(groupId: string): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    private generateGroupViews;
}
